## PhoshDockedManager

PhoshDockedManager — Handles 'docking" the phone to additional hardware

## Functions

PhoshDockedManager * | phosh_docked_manager_new ()
const char * | phosh_docked_manager_get_icon_name ()
gboolean | phosh_docked_manager_get_enabled ()
gboolean | phosh_docked_manager_get_can_dock ()
void | phosh_docked_manager_set_enabled ()

## Properties

gboolean | can-dock | Read
gboolean | enabled | Read / Write
char * | icon-name | Read
PhoshModeManager * | mode-manager | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_DOCKED_MANAGER
| PhoshDockedManager

## Object Hierarchy

        GObject
        ╰── PhoshDockedManager

## Description

PhoshDockedManager allows to dock the phone to additional hardware and performs the necessary configuration changes (disable OSK, don't maximize windows by default, ...)

## Functions

### phosh_docked_manager_new ()

    PhoshDockedManager *
    phosh_docked_manager_new (PhoshModeManager *mode_manager);

### phosh_docked_manager_get_icon_name ()

    const char *
    phosh_docked_manager_get_icon_name (PhoshDockedManager *self);

### phosh_docked_manager_get_enabled ()

    gboolean
    phosh_docked_manager_get_enabled (PhoshDockedManager *self);

### phosh_docked_manager_get_can_dock ()

    gboolean
    phosh_docked_manager_get_can_dock (PhoshDockedManager *self);

### phosh_docked_manager_set_enabled ()

    void
    phosh_docked_manager_set_enabled (PhoshDockedManager *self,
                                      gboolean enabled);

## Types and Values

### PHOSH_TYPE_DOCKED_MANAGER

    #define PHOSH_TYPE_DOCKED_MANAGER (phosh_docked_manager_get_type ())

### PhoshDockedManager

    typedef struct _PhoshDockedManager PhoshDockedManager;

## Property Details

### The `“can-dock”` property

      “can-dock”                 gboolean

Whether the device can be docked.

Owner: PhoshDockedManager

Flags: Read

Default value: FALSE

### The `“enabled”` property

      “enabled”                  gboolean

Whether docked mode is enabled.

Owner: PhoshDockedManager

Flags: Read / Write

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                char *

The docked icon name.

Owner: PhoshDockedManager

Flags: Read

Default value: "phone-undocked-symbolic"

### The `“mode-manager”` property

      “mode-manager”             PhoshModeManager *

The hw mode object.

Owner: PhoshDockedManager

Flags: Read / Write / Construct Only